Page MenuHomePhabricator

AfC: clicking 'Set filters' link will automatically change the sorting option to 'Created date (newest)'
Closed, ResolvedPublic

Description

  1. With AfC option on Special:NewPagesFeed select 'Created date (oldest)' sorting option.
  2. Click on 'Set filters' link to open up filter selection menu - the sort order will change to 'Created date (newest)' sort order before any filter selection is made.

@MMiller_WMF's gif illustrates the issue (click on the picture to see the action):

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2018, 10:27 PM
Etonkovidova updated the task description. (Show Details)Sep 25 2018, 5:33 PM

Just a suggestion for simplifying things - keep the behavior (sort order changes to 'Created day (newest)' ) but only when a user clicks on 'Set filters' button not on 'Set filters' link.

Change 463269 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Ensure a valid afc sort option is selected

https://gerrit.wikimedia.org/r/463269

Change 463269 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Ensure a valid afc sort option is selected

https://gerrit.wikimedia.org/r/463269

Checked in betalabs - generally, the sort option is preserved between state filters, e.g. if a user switches from 'Declined' +'Declined date (oldest)' to 'Awaiting review', the sorting order for 'Awaiting review' will automatically become 'Submitted date (oldest)'.

As a minor deviation from that logic would be some cases when the sorting order is not preserved - e.g. switch from 'Declined'+'Declined date (oldest)' to 'Unsubmitted', the sort order will become 'Created date (newest)'.

Change 463680 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.23] Ensure a valid afc sort option is selected

https://gerrit.wikimedia.org/r/463680

Change 463680 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.23] Ensure a valid afc sort option is selected

https://gerrit.wikimedia.org/r/463680

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-10-01T18:17:48Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.23/extensions/PageTriage/: Ensure valid AFC option is selected (T205324, T205168); hide copyvio behind a global var and URL param (duration: 00m 57s)

MMiller_WMF closed this task as Resolved.Oct 1 2018, 6:39 PM

This was SWATed in this morning, and I tried it in English Wikipedia, and it's working correctly. Thanks!